.TH "RCS" "n" "June 2005" "Tcl" "[incr Tcl] Revision Control System interface."
.SH NAME
RCS \- 
[incr Tcl] Revision Control System interface.
.SH "SYNOPSIS"
\fBpackage require RCS\fR
.br
\fBRCS\fR \fIobjName\fR \fI[CLASS OPTIONS]\fR
.br
\fIobjName\fR \fBmethod\fR \fI[METHOD OPTIONS]\fR
.SH "CLASS OPTIONS"
.TP 14
.I -dir
Current directory.
.TP 14
.I -refresh
Background refresh rate.
.TP 14
.I -editor
Editor.
.TP 14
.I -manbrowser
Man page browser.
.TP 14
.I -rev
Symbolic revision name (default \fB{}\fR).
.SH "PUBLIC METHODS"
.TP
.B version \fI\fR
.IP "" 4
Return the version number. 
The RCS version number is returned.
.TP
.B help \fI\fR
.IP "" 4
Return the help text. 
Help intro is returned.
.TP
.B getRevision \fInewRev browseMode\fR
.IP "" 4
Allow user to select a revision or enter a new one. 
The user will be allowed to select one or more old revisions
(depending on \fIbrowseMode\fR) or enter a new revision
(depending on \fInewRev\fR).  The selected revision(s) will be
stored in \fIrevSelect\fR and the return code will be stored in
revReturn.  Return 0 if ok or 1 if not (cancelled, etc).
.IP "" 4
.B METHOD OPTIONS
.RS
.TP 14
.I newRev
Allow user to enter a revision (boolean,
optional, default false).
.TP 14
.I browseMode
Mode to set listbox into (optional, default
browse).
.RE
.TP
.B selectFile \fIfileName\fR
.IP "" 4
Allow a user to select a file in the current directory. 
The \fIfileName\fR will be set in the \fIhlist\fR.  Nothing will be
returned.  Errors will propogate.
.IP "" 4
.B METHOD OPTIONS
.RS
.TP 14
.I fileName
Name of the file to select.
.RE
.SH "AUTHOR"
Written by Tom Allard <tallard@frb.gov>
